<?php
/**
 * @file
 * wcm_user_leadership.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function wcm_user_leadership_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'leadership_listing';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'users';
  $view->human_name = 'Leadership Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: User: User Photo */
  $handler->display->display_options['fields']['field_user_photo']['id'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['table'] = 'field_data_field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['field'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['label'] = '';
  $handler->display->display_options['fields']['field_user_photo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_user_photo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_user_photo']['settings'] = array(
    'image_style' => 'user_picture',
    'image_link' => 'content',
  );
  /* Field: Realname: Real name */
  $handler->display->display_options['fields']['realname']['id'] = 'realname';
  $handler->display->display_options['fields']['realname']['table'] = 'realname';
  $handler->display->display_options['fields']['realname']['field'] = 'realname';
  $handler->display->display_options['fields']['realname']['label'] = '';
  $handler->display->display_options['fields']['realname']['element_type'] = 'h2';
  $handler->display->display_options['fields']['realname']['element_label_colon'] = FALSE;
  /* Field: User: Title */
  $handler->display->display_options['fields']['field_job_title']['id'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['table'] = 'field_data_field_job_title';
  $handler->display->display_options['fields']['field_job_title']['field'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['label'] = '';
  $handler->display->display_options['fields']['field_job_title']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  /* Field: User: Bio */
  $handler->display->display_options['fields']['field_bio']['id'] = 'field_bio';
  $handler->display->display_options['fields']['field_bio']['table'] = 'field_data_field_bio';
  $handler->display->display_options['fields']['field_bio']['field'] = 'field_bio';
  $handler->display->display_options['fields']['field_bio']['label'] = '';
  $handler->display->display_options['fields']['field_bio']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_bio']['alter']['text'] = '[field_bio]';
  $handler->display->display_options['fields']['field_bio']['alter']['max_length'] = '400';
  $handler->display->display_options['fields']['field_bio']['alter']['more_link'] = TRUE;
  $handler->display->display_options['fields']['field_bio']['alter']['more_link_text'] = 'Learn More';
  $handler->display->display_options['fields']['field_bio']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['field_bio']['element_label_colon'] = FALSE;
  /* Sort criterion: User: Leadership Display Order (field_leadership_display_order) */
  $handler->display->display_options['sorts']['field_leadership_display_order_value']['id'] = 'field_leadership_display_order_value';
  $handler->display->display_options['sorts']['field_leadership_display_order_value']['table'] = 'field_data_field_leadership_display_order';
  $handler->display->display_options['sorts']['field_leadership_display_order_value']['field'] = 'field_leadership_display_order_value';
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: User: Display in Leadership Listing (field_display_in_leadership_list) */
  $handler->display->display_options['filters']['field_display_in_leadership_list_value']['id'] = 'field_display_in_leadership_list_value';
  $handler->display->display_options['filters']['field_display_in_leadership_list_value']['table'] = 'field_data_field_display_in_leadership_list';
  $handler->display->display_options['filters']['field_display_in_leadership_list_value']['field'] = 'field_display_in_leadership_list_value';
  $handler->display->display_options['filters']['field_display_in_leadership_list_value']['value'] = array(
    1 => '1',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'leadership';
  $export['leadership_listing'] = $view;

  return $export;
}
